import Taro from '@tarojs/taro'
import useSave from "@/utils/hooks/useSave"
import useLike from "@/utils/hooks/useLike"

import { getShopDetail, getShopcity } from '@/services/home'
import { useState, useEffect } from 'react'
import { View } from '@tarojs/components'
import formatPrice from "@/utils/formatPrice";
import Star from '@/components/Star/Star.jsx'
import position from '@/assets/icons/GuideCheck/position_logo.png'
import SeeDetails from '@/assets/icons/GuideCheck/SeeDetails.png'
import Attractions from '@/assets/icons/GuideCheck/Attractions.png'
import baozan from '@/assets/icons/housemantj/爆赞.png'
import weibaozan from '@/assets/icons/housemantj/未赞.png'
import starOn from '@/assets/icons/housemantj/onlove.png'
import starOff from '@/assets/icons/housemantj/景点爆赞.png'
import food from '@/assets/icons/ProCard/food.png'
import ProCard_hot from '@/assets/icons/ProCard/ProCard_hot.png'



import './style.less'

export default (props) => {
  const { item, cardNavigateTo } = props
  // const [isSaved, toggleSave] = useSave(item.isSaved, 'shop_package', item.targetId)
  const [isLike, toggleLike] = useLike(item.isLike, 'tourist', item.targetId)

  const targetType = item.targetType


  const star = parseFloat(((item.sweetScore + item.environmentScore + item.serviceScore) / 3).toFixed(1));
  return (
    <View>
      {
        targetType === "shop_package" && (
          <view class='wrapper'>
            <view class='left-complete-one'   >
              <image className='left-image-1' src={ProCard_hot} style={{ display: item.targetType === 'shop_package' ? '' : 'none' }} ></image>
              <view className='left-viewText'  >
                返现￥{formatPrice(item.cashback)}
              </view>
              {/* 评分 */}
              <view className='card-box-star' style={{ display: item.targetType === 'shop_package' ? '' : 'none' }} >
                <Star star={star} />
                <text className='card-star-text' >{star}</text>
              </view>
              <view className='title-image' >
                <image className='image-1' mode='scaleToFill' src={item.poster}></image>
                <image className='image-2' src={item.targetType === 'tourist' ? Attractions : food}></image>
              </view>
              <view className='title-content'>
                <view className='Pro-title'  >
                  <view className='title-text'>{(item.title).toString().length > 25 ? (item.title).substring(0, 25) + '...' : (item.title)}</view>
                </view>
                <text className='title-money' >￥{formatPrice(item.actualPrice)}元<text className='title-money-2'>门市价{formatPrice(item.standardPrice)}元</text></text>
                <view className='title-position-on'>
                  <image className='title-position' src={position} />
                  <text className='title-position-image'>{item.areaPName}/{item.areaName}</text>
                </view>
              </view>
            </view>
            <view class='right-complete-two'>
              <view className='right-content' onClick={() => { Taro.navigateTo({ url: `/pages/details/foodDetails/foodDetails?id=${item.shopId}` }); }}>
                {/* <view className='right-number'>×1</view> */}
                <image className='right-image' src={SeeDetails} />
                <view className='right-title'>查看详情</view>
              </view>
            </view>
          </view>
        )
      }
      <View>
        {
          targetType !== "shop_package" && (
            <view class='wrapper-tourist'>
              <view class='left-complete-one'   >
                <view className='title-image'>
                  <image className='image-1' mode='scaleToFill' src={item.poster}></image>
                  <image className='image-2' src={item.targetType === 'tourist' ? Attractions : food}></image>
                </view>
                <view className='title-content'>
                  <view className='Pro-title'  >
                    <view className='title-text'>{(item.title).toString().length > 25 ? (item.title).substring(0, 25) + '...' : (item.title)}</view>
                  </view>
                  <text className='title-money' >￥{formatPrice(item.actualPrice)}元<text className='title-money-2'>门市价{formatPrice(item.standardPrice)}元</text></text>
                  <view onClick={toggleLike}>
                    <image className='title-on' src={isLike === 1 ? baozan : weibaozan} />
                    <text className='title-on-text'>{isLike === 1 ? '已爆赞' : '爆赞'}</text>
                  </view>
                  <view className='title-position-on'>
                    <image className='title-position' src={position} />
                    <text className='title-position-image'>{item.areaPName}/{item.areaName}</text>
                  </view>
                </view>
              </view>
              <view class='right-complete-two'>
                <view className='right-content' onClick={() => { Taro.navigateTo({ url: `/pages/details/mjDetails/sceneryDetails?id=${item.targetId}` }); }}>
                  {/* <view className='right-number'>×1</view> */}
                  <image className='right-image' src={SeeDetails} />
                  <view className='right-title'>查看详情</view>
                </view>
              </view>
            </view>
          )
        }
      </View>

    </View>


  )
}
