import { useState } from 'react'
import image from '@/assets/icons/ProCard/8kb.jpg'
import { Button, Radio } from '@tarojs/components'
import PayOrderCard from '@/components/PayOrderCard'
import formatTimes from '@/utils/formatTime'
import food from '@/assets/icons/ProCard/food.png'
import ProCard_hot from '@/assets/icons/ProCard/ProCard_hot.png'
import './style.less'

export default (props) => {
  const { item } = props

  return (
    <view class='wrapper-box'>
      <view class='left-complete-one'>
        <image className='left-image-1' src={ProCard_hot}></image>
        <view className='left-viewText'>
          返现￥{(item.cashback / 100).toFixed(2)}
        </view>
        <view className='title-image'>
          <image className='image-1' mode='scaleToFill' src={item.poster}></image>
          <image className='image-2' src={food}></image>
        </view>
        <view className='title-content'>
          <view className='Pro-title'>
            <view className='title-text'>{item.description}</view>
          </view>
          <text className='title-money' >￥{(item.actualPrice / 100).toFixed(2)}元</text>
          <view className='title-time' >有效期：{formatTimes(item.startTime, "yyyy/MM/dd")}-{formatTimes(item.endTime, "yyyy/MM/dd")}</view>
        </view>
      </view>
    </view>
    // </view >
  )
}
