import useSave from "@/utils/hooks/useSave"
import { getShopDetail, getShopcity } from '@/services/home'
import { useState, useEffect } from 'react'
import Taro from '@tarojs/taro'
import Star from '@/components/Star/Star.jsx'
import pay from '@/assets/icons/housemantj/pay.png'
import msTip from '@/assets/icons/housemantj/foodtip.png'
import wz from '@/assets/icons/housemantj/location.png'
import ax from '@/assets/icons/housemantj/onlove.png'
import good from '@/assets/icons/housemantj/景点爆赞.png'
import './style.less'



//套餐卡片
export default (props) => {
  const { item } = props
  const { shopId } = props.item
  const [isSaved, toggleSave] = useSave(item.isSaved, 'shop_package', item.packageId)
  const [city, setCity] = useState({})
  const [detail, setDetail] = useState({})




  const goFood = () => {
    const page = Taro.getCurrentPages()
    const currentPage = page[page.length - 1];//第一位是首页，最后一位是当前页面
    const pagesUrl = `/${currentPage.route}`;
    if (pagesUrl === '/pages/details/foodDetails/foodDetails') {

    } else {
      Taro.navigateTo({ url: `/pages/details/foodDetails/foodDetails?id=${shopId}` })

    }
  }



  useEffect(() => {
    getShopDetail(item.shopId).then((res) => {
      setDetail(res)
      getShopcity(res.cityId).then((res2) => {
        setCity(res2)
      })
    })
  }, [])
  const star = parseFloat(((detail.sweetScore + detail.environmentScore + detail.serviceScore) / 3).toFixed(1));

  return (
    <view className='foodCard'>
      <view className='fCleft'>
        <view className='backMoney'>
          返现￥{(item.cashback / 100).toFixed(2)}
        </view>
        <view className='appraise'>
          <Star star={star} />
          <text className='storezf'>{star}</text>
        </view>
        <view>
          <view className='contentImg'  onClick={() => { goFood() }}>
            <image src={item.poster} className='img1'></image>
            <image src={msTip} className='mstip'></image>
          </view>
          <view className='neirong'>
            <view className='textword'  onClick={() => { goFood() }} >{(item.description).toString().length > 25 ? (item.description).substring(0, 25) + '...' : (item.description)}</view>
            <view className='jiage' onClick={() => { goFood() }} >
              <text className='rmb' >￥&nbsp;&nbsp;</text>
              <text className='p1'><text className='price' >{(item.actualPrice / 100).toFixed(2)}</text>元&nbsp;&nbsp;</text>
              <text className='p2'>门市价<text className='oldprice' >{(item.standardPrice / 100).toFixed(2)}</text>元</text>
            </view>
            <view className='address'>
              <image className='dw' src={wz} />
              <text className='wz'>{city.areaPName}/{city.areaName}</text>
              <view style={{ display: 'inline-block' }} onClick={toggleSave}>
                <image className='star' src={isSaved > 0 ? ax : good}></image>
                <text className='collection'>{isSaved > 0 ? '已收藏' : '加入收藏'}</text>
              </view>
            </view>
          </view>
        </view>
      </view>
      <view className='fCright' onClick={() => { Taro.navigateTo({ url: `/pages/PayOrder/index?packageId=${item.packageId}` }); }}>
        <image src={pay} />
        <view>支付</view>
      </view>
      <view className='columnLine'></view>
    </view>

  )
}